<mat-card>
  <mat-card-title>

    <p class="main-title">
      <mat-icon>collections</mat-icon>
      <span class="small-space"></span>
      Listado Iconografías
    </p>
  </mat-card-title>

  <mat-card-content>

    <mat-form-field class="filter-width">
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filtrar">
    </mat-form-field>

    <button class="button-title" mat-raised-button color="primary" (click)="openModalIconography()">
        <mat-icon>add</mat-icon> Agregar Iconografía
    </button>

    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>
        <ng-container matColumnDef="imagen">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> IMAGEN </th>
            <td mat-cell *matCellDef="let row"><img style="max-width: 80px; max-height: 80px; min-width: 80px; min-height: 80px" src="{{ruteTags}}{{row.img_url}}" alt=""></td>
          </ng-container>
        <ng-container matColumnDef="titulo">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> TÍTULO </th>
          <td mat-cell *matCellDef="let row"> {{row.titulo}} </td>
        </ng-container>
        <ng-container matColumnDef="img_url">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> URL </th>
          <td mat-cell *matCellDef="let row"> {{row.img_url}} </td>
        </ng-container>
        <ng-container matColumnDef="acciones">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> ACCIONES </th>
          <td mat-cell *matCellDef="let row">
            <button mat-icon-button [matMenuTriggerFor]="menu">
              <mat-icon color="primary">settings</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
              <!-- <button mat-menu-item (click)="openModalEditIconography(row.id)">
                <mat-icon>edit</mat-icon>
                <span>Editar</span>
              </button> -->
              <button mat-menu-item (click)="openModalDeleteIconography(row.id)">
                <mat-icon>delete_forever</mat-icon>
                <span>Eliminar</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <mat-paginator [pageSizeOptions]="[10, 25, 50, 100]"></mat-paginator>
    </div>

  </mat-card-content>
</mat-card>
